Bug 290091 - selinux avc: hpiod
selinux avc: hpiod
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-13 17:29 EDT by Need Real Name
Modified: 2008-01-30 14:20 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:20:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-09-13 17:29:07 EDT
avc: denied { read, write } for comm="hpiod" dev=tmpfs egid=0 euid=0
exe="/usr/sbin/hpiod" exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="001" pid=6790
scontext=system_u:system_r:hplip_t:s0 sgid=0 subj=system_u:system_r:hplip_t:s0
suid=0 tclass=chr_file tcontext=system_u:object_r:device_t:s0 tty=(none) uid=0 

(I have disabled dodgy memory access for unlabelled apps using the boolean.)
Comment 1 Need Real Name 2007-09-13 17:34:46 EDT
Also:

avc: denied { read } for comm="hpiod" dev=tmpfs egid=0 euid=0
exe="/usr/sbin/hpiod" exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="001" pid=6790
scontext=system_u:system_r:hplip_t:s0 sgid=0 subj=system_u:system_r:hplip_t:s0
suid=0 tclass=chr_file tcontext=system_u:object_r:device_t:s0 tty=(none) uid=0 
Comment 2 Daniel Walsh 2007-09-14 10:43:41 EDT
Fixed in selinux-policy-2.6.4-42.fc7
Comment 3 Daniel Walsh 2008-01-30 14:20:33 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.